/**
 * 
 */
package com.ejie.ad74a.model;

import java.io.Serializable;

/**
 * Representacion registro tabla AE01B.AE01B07T00 CONFIG_SIPCA
 * @author BICUGUAL
 *
 */
public class ConfigSipca implements Serializable{

	private static final long serialVersionUID = 1L;
	
	private Long idConfiguracion;
	private String codEntidad;
	private String numEntidad;
	private String sufijo;
	private Integer diasCargo;
	
	public ConfigSipca() {
		super();
	}

	public ConfigSipca(Long idConfiguracion, String codEntidad, String numEntidad, String sufijo, Integer diasCargo) {
		super();
		this.idConfiguracion = idConfiguracion;
		this.codEntidad = codEntidad;
		this.numEntidad = numEntidad;
		this.sufijo = sufijo;
		this.diasCargo = diasCargo;
	}

	public Long getIdConfiguracion() {
		return idConfiguracion;
	}

	public void setIdConfiguracion(Long idConfiguracion) {
		this.idConfiguracion = idConfiguracion;
	}

	public String getCodEntidad() {
		return codEntidad;
	}

	public void setCodEntidad(String codEntidad) {
		this.codEntidad = codEntidad;
	}

	public String getNumEntidad() {
		return numEntidad;
	}

	public void setNumEntidad(String numEntidad) {
		this.numEntidad = numEntidad;
	}

	public String getSufijo() {
		return sufijo;
	}

	public void setSufijo(String sufijo) {
		this.sufijo = sufijo;
	}

	public Integer getDiasCargo() {
		return diasCargo;
	}

	public void setDiasCargo(Integer diasCargo) {
		this.diasCargo = diasCargo;
	}

	@Override
	public String toString() {
		return "ConfigSipca [idConfiguracion=" + idConfiguracion + ", codEntidad=" + codEntidad + ", numEntidad="
				+ numEntidad + ", subfijo=" + sufijo + ", diasCargo=" + diasCargo + "]";
	}
	
	
}
